//
//	cpfShell Tu[``
//
#include <string>
#include <vector>

BOOL RegularExp(std::string pattern, std::string name);
BOOL WildCard(std::string pattern, std::string name, int regexp_mode);
std::string ExtractDirectory(std::string path, bool flag = false);
std::string ExtractExt(std::string path, int regexp_mode);
std::string ExtractFilename(std::string path);
std::string DeleteYen(std::string path);
BOOL CheckWindowsXP();
BOOL CheckWindowsVista();
BOOL CheckWindows7();
void ForceDirectories(std::string path);
void CenterParentWindow(HWND wnd);
void MouseCursorWindow(HWND wnd, int id);

template <typename T> void Split(std::vector<T> &result, const T &str, const T &delim)
{
	int pos, len;

	pos = str.find_first_not_of(delim);
	len = str.size();

	result.clear();
	while (0 <= pos && pos < len) {
		int stop = str.find_first_of(delim, pos);
		if(stop < 0 || stop > len) {
			stop = len;
		}
		result.push_back(str.substr(pos, stop - pos));
		pos = str.find_first_not_of(delim, stop + 1);
	}
}

